#########################################################################
#									#
#		  Arquivo de configuracao do DIREWOLF			#
#	   Criado em 01/12/2018 por Daniel Kondlatsch PU5KOD		#
#	  Personalizado para estacao de DigiGate de PU5KOD-10		#
#	      Ultima alteracao em 19/11/2024 00:40 GMT-3		#
#									#
#					       Favor manter os creditos #
#########################################################################


		##_• CREDENCIAIS •_##

	# Indicativo base (+ SSID opcional, -10 iGate, -15 Digipeater)
MYCALL PU5KOD-10

	# Indicativo para login no servidor e senha (+ SSID opcional)
	# A senha pode ser obtida em aprs.dvbr.net
IGLOGIN PU5KOD-10 22968


		##_• SERVIDORES •_##

	# Servidores APRS-IS. Para que os filtros IGFILTER funcionem
	# e necessario usar a porta 14580, ao informar outra porta
	# os filtros deste arquivo nao terao mais efeito
IGSERVER rotate.aprs.net:14580
#IGSERVER rotate.aprs2.net:14580
#IGSERVER soam.aprs2.net:14580
#IGSERVER brazil.d2g.com:14580
#IGSERVER aprs.amrase.org.br:14580
#IGSERVER brazil.aprs2.net:14580


		##_• FILTROS •_##
		
	# Filtra os pacotes vindos do APRS-IS para tratamento
	# e retransmissao no radio. FILTRA NO SERVIDOR (Page 122)
	# https://www.aprs-is.net/javAPRSFilter.aspx
IGFILTER m/85
# -b/PU0ABC/PY0DEF-12

	# Filtra o que sera transmitido no radio, independente da origem
	# FILTRA LOCAL (Page 97)
FILTER IG 0 ! u/APZDMR/APDG*/APBM*
# & ! t/w & ! s//W
# & ! b/PU0ABC/PY0DEF-12
FILTER 0 0 ! u/APZDMR/APDG*/APBM*
# & ! t/w & ! s//W


		##_• CONFIGURACOES DE BEACONS •_##

		## BEACONS DE INFORMACAO
	# Beacon de identificacao da estacao via CW via RF
CBEACON DEST=MORSE-12 SLOT=5 INFO="PU5KOD"

	# Beacon de informacoes sobre o desempenho do iGate
#IBEACON SENDTO=R0 SLOT=1 EVERY=60

        # Beacon de informacao do iGate/Digipeater via RF
#CBEACON DEST=SPEECH SLOT0:10 EVERY=2 INFO=”Mensagem a ser falada” 
	
		## BEACONS DE POSICAO
	# Beacon posicao da estacao base, TX para o radio 
#PBEACON SENDTO=0 SLOT=0:08 EVERY=30 SYMBOL=/y LAT=26^07.68S LONG=049^48.34W FREQ=433.125 COMMENT="Daniel K., QAP DStar XLX300-D & YSF BR-Brazil, dvbr.net" COMPRESS=0 VIA=WIDE1-1,WIDE2-2

	# Beacon posicao do iGate/Digipeater, TX para a internet
PBEACON SENDTO=IG SLOT=0:01 EVERY=60 SYMBOL=I# LAT=26^07.68S LONG=049^48.34W ALT=842 POWER=80 HEIGHT=82 GAIN=8 FREQ=434.825 OFFSET=50 COMMENT="DigiGate Mafra-SC, QAP DStar XLX300-D & YSF BR-Brazil, dvbr.net" COMPRESS=0

	# Beacon posicao do iGate/Digipeater, TX para o radio
#PBEACON SENDTO=0 SLOT=0:03 EVERY=60 SYMBOL=I# LAT=26^07.68S LONG=049^48.34W ALT=842 POWER=80 HEIGHT=82 GAIN=8 COMMENT="DigiGate Mafra-SC, QAP DStar XLX300-D & YSF BR-Brazil, dvbr.net" FREQ=434.825 OFFSET=50 COMPRESS=0 VIA=WIDE1-1

		## BEACONS DE OBJETO
	# Beacon objeto do iGate/Digipeater, TX para a internet
	# Tamanho maximo da variavel OBJNAME sao 9 caracteres
#OBEACON SENDTO=IG OBJNAME=iGate-MFA SLOT=0:06 EVERY=60 SYMBOL=I# LAT=26^07.68S LONG=049^48.34W ALT=842 POWER=80 HEIGHT=82 GAIN=8 FREQ=146.890 TONE=110.9 OFFSET=-6 COMMENT="DigiGate Mafra-SC, QAP DStar XLX300-D & YSF BR-Brazil, dvbr.net" COMPRESS=0

	# Beacon objeto do iGate/Digipeater, TX para o radio
OBEACON SENDTO=0 OBJNAME=iGate-MFA SLOT=0:10 EVERY=15 SYMBOL=I# LAT=26^07.68S LONG=049^48.34W ALT=842 POWER=80 HEIGHT=82 GAIN=8 FREQ=146.890 TONE=110.9 OFFSET=-6 COMMENT="DigiGate Mafra-SC, QAP DStar XLX300-D & YSF BR-Brazil, dvbr.net" COMPRESS=0 VIA=RFONLY


		##_• CONFIGURACOES DE DIGIPEATING •_##

	# Retransmite beacons ate WIDE 3 com 3 saltos e
	# ate WIDE 7 com 7 saltos (DEFAULT)
#DIGIPEAT 0 0 ^WIDE[4-7]-[1-7]$|^WIDE$ ^WIDE[1-3]-[1-3]$|^WIDE$ TRACE
	# Retransmite pacotes WIDE1 e WIDE2, limitando a 2 saltos e
	# bloqueia todo o resto
DIGIPEAT 0 0 ^WIDE$ ^WIDE[1-2]-[1-2]$ TRACE
	# Exemplo com bloqueio de estacao
#DIGIPEAT 0 0 ^WIDE$ ^WIDE[1-2]-[1-2]$!^PU5KOD$ TRACE
	# Retransmite pacotes WIDE1 a WIDE4, limitando a 3 saltos
#DIGIPEAT 0 0 ^WIDE[1-4]-[1-3]$ TRACE
	# Retransmite pacotes de um determinado callsign
#DIGIPEAT 0 0 ^PU0ABC>
	#Retransmite somente beacons do tipo WIDE1-1
#DIGIPEAT 0 0 ^WIDE1-1$ ^WIDE1-1$

	# Caminho para reTX dos beacons da internet para o radio
IGTXVIA 0 WIDE1-1


		##_• CONFIGURACOES DE AUDIO •_##

	# Dispositivo de audio utilizado (cm108)
ADEVICE plughw:0,0

	# Canais por dispositivo, 1 mono (std), 2 stereo
ACHANNELS 1

	# Taxa de amostragem de audio por segundo (std=44100)
#ARATE 48000

	# Duplex, para uso com mais de um radio,
	# OFF Simplex (std) e ON Duplex
FULLDUP OFF

	# Seleciona o primeiro canal, se ACHANNEL = 1, 0 = esquerdo
CHANNEL 0

	# Velocidade de trabalho do modem (bauds)
#MODEM  300
MODEM  1200
#MODEM  9600
#MODEM  AIS  

	# Habilita sintetizador de voz
#SPEECH dwespeak.sh


		##_• CONTROLES DE TRANSMISSAO •_##

	# Selecao do modo de acionamento do PTT
	# Para inverter a polaridade do acionamento marcar com
	# sinal - (negativo) antes do numero da GPIO desejada
	# - RaspberryPi GPIO 25 pino 22, GND pino 20
	# - NanoPi-NEO GPIO 200 pino 16, GMD pino 14
	# - OrangePi Zero LTS GPIO 7 pino 12, GND pino 14
	# No Debian 12 foi alterado a aplicacao responsavel pelo
	# controle da GPIO, mudando a forma de acionamento
PTT GPIOD gpiochip0 25
#PTT GPIO 25
#PTT GPIO 200
#PTT GPIO 7

        # Tempo de pausa entre RX e TX (x10ms, std=10)
DWAIT 10

	# Tempo de espera para verificar se o canal esta livre antes
	# de iniciar a transmissao (x10ms, std=10)
SLOTTIME 10

	# Gera um atraso aleatorio para minimizar conflitos,
	# se o numero for menor ou igual ao informado ele transmite
	# ou entao o processo retorna a SLOTTIME.
	# Valores 0 - 255, 255 desativa a regra 
#PERSIST 78

	# Delay para o inicio do TX do pacote AX.25 (x10ms, std=30)
TXDELAY 30

	# Tempo de duracao do acionamento do PTT apos o final
	# da transmissao do pacote AX.25 (x10ms, std=10)
TXTAIL 10

	# Pacotes duplicados do Digi nao serao TX se a mesma
	# coisa for TX dentro do numero DEDUPE de segundos (std=30)
DEDUPE 20

	# Anti-Flood, limita o numero de pacotes transmitidos durante
	# os intervalos de 1 minuto e 5 minutos (max=20 80)
IGTXLIMIT 20 80


		##_• OUTRAS CONFIGURACOES •_##

	# LED indicador de atividade (DCD, Data Carrier Detect)
	# RaspberryPi GPIO 24 pino 18, GND pino 20
DCD GPIOD gpiochip0 24
#DCD GPIO 24

	# LED indicador de conexao com outra estacao
        # (CON, Connected Packet Indicator)
CON GPIOD gpiochip0 23
#CON GPIO 23

	# Habilita decodificacao DTMF
DTMF

	# Quantidade de relatorios de posicao do remetente de mensagens,
	# usado para localizar um indicativo na rede (std=1)
IGMSP 5

	# Diretorio de armazenamento de logs
LOGDIR /var/log/direwolf/

#=======================================================================


		##_• INFORMACOES ADICIONAIS •_##

	        # Outras formas de localizacao:
	# LAT=26^7.68S LONG=49^48.34W
	# LAT=-26.128095 LONG=-49.805670
	# ZONE=22J EASTING=619401 NORTHING=7109582
	# UTM zone = 22, hemisphere = S, easting = 619401, northing = 7109582
	# MGRS = 22JFS21  22JFS1910  22JFS194096  22JFS19400958  22JFS1940109582
	# USNG = 22JFS10  22JFS1909  22JFS194095  22JFS19400958  22JFS1940109582

	
		# Dados adicionais da frequencia no beacon:
	# FREQ=146.890 TONE=110.9 OFFSET=-0.6 = -060
        # OFFSET=-6 = -600 / OFFSET=-60 = -6000
